<div class="example-container">
    <mat-toolbar color="primary" class="example-toolbar"  *ngIf="loginService.estaLogeado()">
        <button mat-icon-button (click)="sidenav.toggle()">
            <mat-icon *ngIf="!sidenav.opened">menu</mat-icon>
            <mat-icon *ngIf="sidenav.opened">close</mat-icon>
        </button>

        <h1 class="example-app-name">MEDIAPP</h1>

        <span class="example-spacer"></span>

        <button mat-icon-button [matMenuTriggerFor]="menu">
            <mat-icon>more_vert</mat-icon>
        </button>

        <mat-menu #menu="matMenu">
            <button mat-menu-item routerLink="/perfil">
                <mat-icon>account_box</mat-icon>
                <span>Mi Perfil</span>
            </button>
            <button mat-menu-item (click)="sidenav.opened = false" (click)="loginService.cerrarSesion()">
                <mat-icon>exit_to_app</mat-icon>
                <span>Cerrar Sesión</span>
            </button>
        </mat-menu>
    </mat-toolbar>

    <mat-sidenav-container class="example-sidenav-container">
        <mat-sidenav #sidenav style="width: 200px">
            <img src="assets/mitocode.png" width="128" style="margin-left: 20px">
            <div *ngFor="let m of menus">
                <button mat-menu-item (click)="sidenav.toggle()" routerLink="{{m.url}}" style="cursor: pointer">
                    <mat-icon>{{m.icono}}</mat-icon>
                    <span>{{m.nombre}}</span>
                </button>
                <mat-divider></mat-divider>
            </div>
            <!-- <button mat-menu-item (click)="sidenav.toggle()" routerLink="/buscar" style="cursor: pointer">
                <mat-icon>search</mat-icon>
                <span>Buscar</span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item (click)="sidenav.toggle()" routerLink="/consulta" style="cursor: pointer">
                <mat-icon>insert_drive_file</mat-icon>
                <span>Registrar</span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item (click)="sidenav.toggle()" routerLink="/consulta-especial" style="cursor: pointer">
                <mat-icon>insert_drive_file</mat-icon>
                <span>Registrar E.</span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item (click)="sidenav.toggle()" routerLink="/especialidad" style="cursor: pointer">
                <mat-icon>star_rate</mat-icon>
                <span>Especialidades</span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item (click)="sidenav.toggle()" routerLink="/medico" style="cursor: pointer">
                <mat-icon>healing</mat-icon>
                <span>Médicos</span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item (click)="sidenav.toggle()" routerLink="/examen" style="cursor: pointer">
                <mat-icon>assignment</mat-icon>
                <span>Examenes</span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item (click)="sidenav.toggle()" routerLink="/paciente" style="cursor: pointer">
                <mat-icon>accessibility</mat-icon>
                <span>Pacientes</span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item (click)="sidenav.toggle()" routerLink="/reporte" style="cursor: pointer">
                <mat-icon>assessment</mat-icon>
                <span>Reportes</span>
            </button> -->
        </mat-sidenav>
        <mat-sidenav-content>
            <router-outlet></router-outlet>
        </mat-sidenav-content>
    </mat-sidenav-container>

</div>